import { createRouter, createWebHistory } from "vue-router";
import { pptRoutes } from "./ppt";
import {pptENRoutes} from './pptEn'
/**
 * 说明
 * 此文件为路由配置入口文件
 * 路由子模块请按模块拆分到同文件夹下其他文件中
 * meta
 */

const routes = [
  	{
		path: "/login",
		name: "Login",
		component: () => import("@/views/Login.vue"),
		meta: { title: "登录" },
  	},
  	
	{
		path:"/",
		name:"Layouts",
		redirect: "/tabbar/home",
		component:()=>import('@/layouts/Index.vue'),
		children:[
			// tabbar模块
			{
				path: "/tabbar",
				name: "Tabbar",
				redirect: "/tabbar/home",
				component: () => import("@/views/tabbar/Index.vue"),
				meta: { title: "移动ETA" },
				children: [
					{
						path: "/tabbar/home",
						name: "Home",
						component: () => import("@/views/tabbar/Home.vue"),
						meta: { title: "移动ETA" },
					},
					{
						path: "/tabbar/user",
						name: "User",
						component: () => import("@/views/tabbar/User.vue"),
						meta: { title: "移动ETA" },
					},
				],
			},

			// ppt模块
			...pptRoutes,
			//英文ppt模块
			...pptENRoutes,
		]
	},
	
	
	{
		path: "/:pathMatch(.*)",
		name: "error",
		component: () => import("@/views/404.vue"),
		meta: { title: "404" },
	},
];

const router = createRouter({
	history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  	routes,
	// scrollBehavior(to, from, savedPosition) {
	// 	if (savedPosition && to.meta.keepAlive) {
	// 		return savedPosition;
	// 	} else {
	// 		return new Promise((resolve) => {
	// 			setTimeout(() => {
	// 				resolve({ left: 0, top: 0 });
	// 			}, 0);
	// 		});
	// 	}
	// },
});

router.beforeEach((to, from, next) => {
//   if (to.query.token) {
//     store.commit("getToken", to.query.token);
//     store.dispatch("getUserInfo");
//   }
//   if (to.meta.isRoot) {
//     store.commit("setBreadCrumb", to);
//   } else {
//     if (store.state.breadCrumbList.length == 1) {
//       store.commit("modifyBreadCrumb", to.meta.title);
//     }
//   }

	document.title = to.meta.title;
  	next();
});

export default router;
